import { Module, Injectable, Logger } from '@nestjs/common';
import { resolve } from 'path';
import * as dotenv from 'dotenv';

export type PossibleModels =
  | 'text-davinci-002-render'
  | 'text-davinci-003'
  | 'gpt-3.5-turbo';

@Injectable()
export class AppConfig {
  public readonly serviceToken: string = process.env.SERVICE_TOKEN || '';
}

@Module({
  providers: [AppConfig],
  exports: [AppConfig],
})
export class AppConfigModule {}
